Bug 1029120 - (CVE-2013-4553) CVE-2013-4553 kernel: xen: lock order reversal between page_alloc_lock and mm_rwlock
CVE-2013-4553 kernel: xen: lock order reversal between page_alloc_lock and mm...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131126,repor...
: Security
Depends On: 1034925
Blocks: 1029116
  Show dependency treegraph
 
Reported: 2013-11-11 12:15 EST by Petr Matousek
Modified: 2015-02-16 10:50 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 06:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-11 12:15:33 EST
The locks page_alloc_lock and mm_rwlock are not always taken in the same order.  This raises the possibility of deadlock.

The incorrect order occurs only in the implementation of the deprecated domctl hypercall XEN_DOMCTL_getmemlist.

A malicious guest administrator may be able to deny service to the entire host.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 5 Petr Matousek 2013-11-12 06:44:37 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as we did not have support for Xen hypervisor.
Comment 6 Petr Matousek 2013-11-26 12:34:22 EST
This issue is public now:

  http://www.openwall.com/lists/oss-security/2013/11/26/8
Comment 7 Petr Matousek 2013-11-26 12:39:29 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1034925]

Note You need to log in before you can comment on or make changes to this bug.